TYPE=Ethernet
PROXY_METHOD=none
BROWSER_ONLY=no
BOOTPROTO=none
DEFROUTE=yes
IPV4_FAILURE_FATAL=no
IPV6INIT=no
IPV6_FAILURE_FATAL=no
NAME={{ ansible_default_ipv4.interface }}
UUID={{ default_interface_uuid.stdout }}
DEVICE={{ ansible_default_ipv4.interface }}
ONBOOT=yes
IPADDR={{ hostvars[inventory_hostname].ansible_host }}
PREFIX={{ hostvars[inventory_hostname].network.subnet }}
GATEWAY={{ hostvars[inventory_hostname].network.gateway }}
{% for dns in hostvars[inventory_hostname].network.dns %}
DNS{{ loop.index }}={{ dns }}
{% endfor %}
DOMAIN={{ hostvars[inventory_hostname].network.domain }}
IPV6_PRIVACY=no
HWADDR={{ hostvars[inventory_hostname].ansible_default_ipv4.macaddress }}
